Retrieve, Update, or Delete Checklist Item

View as Markdown
Retrieves, updates, or deletes a specific checklist item.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
titlestringRequired<=255 characters
The title of the checklist item
is_activebooleanOptional
created_bystring or nullOptional<=255 characters
updated_bystring or nullOptional<=255 characters
deleted_bystring or nullOptional<=255 characters
descriptionstring or nullOptional
Optional description of the checklist item
statusenumOptional
* `pending` - Pending * `completed` - Completed * `skipped` - Skipped
Allowed values:
orderintegerOptional0-2147483647
The order in which this item should be displayed
is_requiredbooleanOptional
Whether this item is required for onboarding completion
is_profilebooleanOptional
Whether this item is for the profile page
action_urlstring or nullOptional
Optional URL suffix for the action associated with this item

Response

Checklist item details
idintegerRead-only
uidstringRead-onlyformat: "uuid"
created_atdatetimeRead-only
updated_atdatetimeRead-only
deleted_atdatetime or nullRead-only
userintegerRead-only
The user this checklist item belongs to
titlestring<=255 characters
The title of the checklist item
completed_atdatetime or nullRead-only
When this item was completed
is_activeboolean
created_bystring or null<=255 characters
updated_bystring or null<=255 characters
deleted_bystring or null<=255 characters
descriptionstring or null
Optional description of the checklist item
statusenum
* `pending` - Pending * `completed` - Completed * `skipped` - Skipped
Allowed values:
orderinteger0-2147483647
The order in which this item should be displayed
is_requiredboolean
Whether this item is required for onboarding completion
is_profileboolean
Whether this item is for the profile page
action_urlstring or null
Optional URL suffix for the action associated with this item

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error